<div class="animated fadeIn">
  <div class="cols-2">
    <div class="card">
      <div class="card-header">
     <b> Attendance Report <span>- {{club}}</span></b>
        <div class="card-actions">
         <!-- <a href="http://www.chartjs.org">
            <small class="text-muted">docs</small>
          </a>
        -->
        </div>
      </div>

      <div class="card-body">
          <div class="row">
              <div class="form-group col-xs-3 col-sm-6 col-lg-1">
                <label class="col-form-label"><b>Club: </b></label>
              </div>
              <div *ngIf="paramClubName=='All'" class="form-group col-xs-9 col-sm-6 col-lg-2">
                <select [(ngModel)]="club"  (change)="clubSelected()" name="selectedClub" class="form-control-xs form-control-sm">
                  <option *ngFor="let a of clubs" value="{{a.clubName}}" >{{a.clubName}}</option>
                </select>
              </div>
              <div *ngIf="paramClubName!='All'" class="form-group col-xs-9 col-sm-6 col-lg-2">
                  <label class="col-xs-form-label"><b>{{club}}</b></label>
              </div>
              <div class="form-group col-xs-3 col-sm-6 col-lg-1">
                  <label class="col-form-label"><b>Category:</b></label>
              </div>  
              <div class="form-group col-xs-9 col-sm-6 col-lg-3">          
                <select [(ngModel)]="eventType"  (change)="eventTypeSelected()" class="form-control-xs form-control-sm">
                  <option value="All">All</option>
                  <option value="Fitness">Fitness Classes</option>
                  <option value="Cooking">Cooking Events</option>
                  <option value="Other">Other Events (freebies, socials, etc.)</option>
                </select>
              </div>
              <div class="form-group col-xs-6 col-sm-6 col-lg-1">
                  <label class="col-form-label"><b>Year:</b></label>
                </div>
                <div class="form-group col-xs-6 col-sm-6 col-lg-2">
                  <select [(ngModel)]="year" (change)="yearSelected()" class="form-control-xs form-control-sm">
                    <option value="2018">2018</option>
                    <option value="2017">2017</option>
                    <option value="2016">2016</option>
                    <option value="2015">2015</option>
                    <option></option>
                  </select>
              </div>  
              <div class="form-group col-xs-6 col-sm-3 col-lg-2">
                <button type="submit" (click)="update()" class="btn btn-sm btn-success">Get Report</button>
              </div>  
        </div>
        <hr>
        <div class="chart-wrapper" style="height:30pc;">
          <canvas baseChart class="chart"
          [datasets]="barChartData"
          [labels]="barChartLabels"
          [options]="barChartOptions"
          [legend]="barChartLegend"
          [chartType]="barChartType"
          (chartHover)="chartHovered($event)"
          (chartClick)="chartClicked($event)"></canvas>
        </div>
      </div>
    </div>
  
   </div>
</div>
